Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class WebAuthnJDBCStorageRecord<T>

java.lang.Object
org.opensaml.storage.StorageRecord<T>
org.opensaml.storage.MutableStorageRecord<T>
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCStorageRecord<T>

Type Parameters:
  `T` - type of record

class WebAuthnJDBCStorageRecord<T> extends MutableStorageRecord<T>
Storage record used by `WebAuthnJDBCAcceleratorImpl`. This is notable in that it allows creation with a specified version (from the database).

Since:
  1.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTEXT_SIZE`
Length of the context column.
`static final int`
`KEY_SIZE`
Length of the key column.

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnJDBCStorageRecord(String val, Long exp, Long version)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.storage.MutableStorageRecord

`incrementVersion, setExpiration, setValue`

### Methods inherited from class org.opensaml.storage.StorageRecord

`getExpiration, getValue, getValue, getVersion, isExpired, isValid, setValue, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT_SIZE

public static final int CONTEXT_SIZE
Length of the context column.

See Also:
  - Constant Field Values

### KEY_SIZE

public static final int KEY_SIZE
Length of the key column.

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnJDBCStorageRecord

public WebAuthnJDBCStorageRecord(@Nonnull @NotEmpty String val, @Nullable Long exp, @Nullable Long version)
Constructor.

Parameters:
  `val` - The value to store
  `exp` - The expiration
  `version` - The version.